/*jslint vars: true, plusplus: true, devel: true, nomen: true, regexp: true, indent: 4, maxerr: 50 */
/*global $, window, location, CSInterface, SystemPath, themeManager*/

//3D Layers Anaglyph is created by Eren Goksel - 2017 All Rights Reserved//



var passed = false;
var csInterface = new CSInterface();
csInterface.addEventListener('documentAfterActivate',function(){ checkSignature(); });
var tmpFolderPath = csInterface.getSystemPath(SystemPath.MY_DOCUMENTS) + '/3DLayersAnaglyph/'; 
var de = window.cep.fs.stat(tmpFolderPath).data.isDirectory();  
if(!de){window.cep.fs.makedir(tmpFolderPath);}

function auto(){
	csInterface.evalScript('auto()', function(result) {
                    if (result != "") {
						document.getElementById('status').innerText = 'Currently working on: ' +  result;
						enable();
                    } else {
                        alert('err');
                    }
                })
}

function checkSignature() {
	passed = false;
	csInterface.evalScript('check()', function(result) {
		result = result.split(',');
		var signed = result[0];
		var docName = result[1];
		var layers = result[2];
                    if (signed == 'true') {
                        document.getElementById('refresh').style.display = 'none';
						document.getElementById('status').innerText = 'Currently working on: ' + docName;
						enable();
						enable3D();
						document.getElementById('bigbutton').style.opacity = '0.7';
						document.getElementById('3dstatus').textContent = 'Already Applied';
                    } else if (signed == 'false') {
                        disable();
						if(layers<3){
							document.getElementById('status').innerText = 'Need At Least 4 Layes';
							disable3D();
							document.getElementById('refresh').style.display = 'inline-block';
						} else {
							document.getElementById('refresh').style.display = 'none';
						document.getElementById('status').innerText = 'Auto 3D a Document First!';
						enable3D();
					}
                    }
					
					if (docName == 'nothingtoworkon3d'){document.getElementById('status').innerText = 'Nothing to Work On'; disable(); disable3D();document.getElementById('refresh').style.display = 'none';}
					
                })
}

function enable(){
	document.getElementById('b1').style.pointerEvents = 'auto';
	document.getElementById('b1').style.opacity = '1';
	document.getElementById('b2').style.pointerEvents = 'auto';
	document.getElementById('b2').style.opacity = '1';
}

function disable(){
	document.getElementById('b1').style.pointerEvents = 'none';
	document.getElementById('b1').style.opacity = '0.5';
	document.getElementById('b2').style.pointerEvents = 'none';
	document.getElementById('b2').style.opacity = '0.5';
}

function disable3D() {
	document.getElementById('3dstatus').textContent = 'Auto 3D';
	document.getElementById('bigbutton').style.pointerEvents = 'none';
	document.getElementById('bigbutton').style.opacity = '0.5';
}

function enable3D() {
	document.getElementById('bigbutton').style.pointerEvents = 'auto';
	document.getElementById('bigbutton').style.opacity = '1';
	document.getElementById('3dstatus').textContent = 'Auto 3D';
}

function infowrite(){
	var data = "infoRead";
	var result = window.cep.fs.writeFile(tmpFolderPath+'\log', data);
if (0 == result.err) {
     // success
}
else {
     // fail
}
}


function checkRead(){
	result = window.cep.fs.readFile(tmpFolderPath+'\log', cep.encoding.Base64);
if (0 == result.err) {
	document.getElementById('infobutton').className = 'bbread';
}
else {
	 document.getElementById('infobutton').className = 'bb';
}
}

function showInfo(){
	infowrite();
	document.getElementById('infobutton').className = 'bbread';
	document.getElementById('info').style.display = 'block';
}

function closeinfo(){
	document.getElementById('info').style.display = 'none';
}

function openTestDocument(){
	csInterface.evalScript('openTestDocument()', function(result) {
                    if (result != "") {
						document.getElementById('info').style.display = 'none';
                    } else {
                        alert("Can't Open Test Document");
                    }
                })
}

function updateDepth(val) {
	csInterface.evalScript('shiftLR("' + val + '")');
}

